Skip to main content
GET
/
exchange-rate-periods
List exchange rate periods
curl --request GET \
  --url https://www.ruddr.io/api/workspace/exchange-rate-periods \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "7a3f1c9e-84b2-4d56-a017-2e5f8c3d91a4",
      "fromCurrency": "USD",
      "toCurrency": "GBP",
      "start": "2025-01-01",
      "end": "2025-03-31",
      "rate": 0.78,
      "createdAt": "2025-03-10T19:29:12.735Z"
    }
  ],
  "hasMore": false
}
A custom exchange rate for a specific date range, overriding the default workspace exchange rates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.